package sun.tracing;

import com.sun.tracing.Provider;
import com.sun.tracing.ProviderFactory;

public class NullProviderFactory extends ProviderFactory
{
    public NullProviderFactory() {
    }
    
    public <T extends Provider> T createProvider(Class<T> clazz) {
        NullProvider nullProvider = new NullProvider(clazz);
        nullProvider.init();
        return nullProvider.newProxyInstance();
    }
}
